package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_T_CONTRATO. Se usa para el manejo de las operaciones BD. 
 */
public class ContratoDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_CONTRATO;
	private String ID_ESTUDIO;
	private String ID_ESTATUS;
	private String ID_TIPO_MOVIMIENTO;
	private String ID_TIPO_CONTRATO;
	private String ID_APARTADO;
	private String NUMERO_CONTRATO;
	private String FECHA_INICIO;
	private String FECHA_FIN;
	private String ID_CONTRATO_ORIGINAL;
	private String FECHA_ALTA;
	private String ID_SAP;
	private String AMORTIZABLE;
	private String FECHA_WS;
	private String FECHA_MODIFSAP;
	private String ANNIOS;
	private String MESES;
	private String INFLACION;
	private String LIMITES_LICENCIA;
	private String ID_BV;
	private String TIPO_AMORTIZACION;
	private String FECHA_AUTORIZACION;
	private String ID_CONTRATO_PADRE; 

	
	public String getID_CONTRATO() {
		return ID_CONTRATO;
	}

	public void setID_CONTRATO(String iD_CONTRATO) {
		ID_CONTRATO = iD_CONTRATO;
	}

	public String getID_ESTUDIO() {
		return ID_ESTUDIO;
	}

	public void setID_ESTUDIO(String iD_ESTUDIO) {
		ID_ESTUDIO = iD_ESTUDIO;
	}

	public String getID_ESTATUS() {
		return ID_ESTATUS;
	}

	public void setID_ESTATUS(String iD_ESTATUS) {
		ID_ESTATUS = iD_ESTATUS;
	}

	public String getID_TIPO_MOVIMIENTO() {
		return ID_TIPO_MOVIMIENTO;
	}

	public void setID_TIPO_MOVIMIENTO(String iD_TIPO_MOVIMIENTO) {
		ID_TIPO_MOVIMIENTO = iD_TIPO_MOVIMIENTO;
	}

	public String getID_TIPO_CONTRATO() {
		return ID_TIPO_CONTRATO;
	}

	public void setID_TIPO_CONTRATO(String iD_TIPO_CONTRATO) {
		ID_TIPO_CONTRATO = iD_TIPO_CONTRATO;
	}

	public String getID_APARTADO() {
		return ID_APARTADO;
	}

	public void setID_APARTADO(String iD_APARTADO) {
		ID_APARTADO = iD_APARTADO;
	}

	public String getNUMERO_CONTRATO() {
		return NUMERO_CONTRATO;
	}

	public void setNUMERO_CONTRATO(String nUMERO_CONTRATO) {
		NUMERO_CONTRATO = nUMERO_CONTRATO;
	}

	public String getFECHA_INICIO() {
		return FECHA_INICIO;
	}

	public void setFECHA_INICIO(String fECHA_INICIO) {
		FECHA_INICIO = fECHA_INICIO;
	}

	public String getFECHA_FIN() {
		return FECHA_FIN;
	}

	public void setFECHA_FIN(String fECHA_FIN) {
		FECHA_FIN = fECHA_FIN;
	}

	public String getID_CONTRATO_ORIGINAL() {
		return ID_CONTRATO_ORIGINAL;
	}

	public void setID_CONTRATO_ORIGINAL(String iD_CONTRATO_ORIGINAL) {
		ID_CONTRATO_ORIGINAL = iD_CONTRATO_ORIGINAL;
	}

	public String getFECHA_ALTA() {
		return FECHA_ALTA;
	}

	public void setFECHA_ALTA(String fECHA_ALTA) {
		FECHA_ALTA = fECHA_ALTA;
	}

	public String getID_SAP() {
		return ID_SAP;
	}

	public void setID_SAP(String iD_SAP) {
		ID_SAP = iD_SAP;
	}

	public String getAMORTIZABLE() {
		return AMORTIZABLE;
	}

	public void setAMORTIZABLE(String aMORTIZABLE) {
		AMORTIZABLE = aMORTIZABLE;
	}

	public String getFECHA_WS() {
		return FECHA_WS;
	}

	public void setFECHA_WS(String fECHA_WS) {
		FECHA_WS = fECHA_WS;
	}

	public String getFECHA_MODIFSAP() {
		return FECHA_MODIFSAP;
	}

	public void setFECHA_MODIFSAP(String fECHA_MODIFSAP) {
		FECHA_MODIFSAP = fECHA_MODIFSAP;
	}

	public String getANNIOS() {
		return ANNIOS;
	}

	public void setANNIOS(String aNNIOS) {
		ANNIOS = aNNIOS;
	}

	public String getMESES() {
		return MESES;
	}

	public void setMESES(String mESES) {
		MESES = mESES;
	}

	public String getINFLACION() {
		return INFLACION;
	}

	public void setINFLACION(String iNFLACION) {
		INFLACION = iNFLACION;
	}

	public String getLIMITES_LICENCIA() {
		return LIMITES_LICENCIA;
	}

	public void setLIMITES_LICENCIA(String lIMITES_LICENCIA) {
		LIMITES_LICENCIA = lIMITES_LICENCIA;
	}

	public String getID_BV() {
		return ID_BV;
	}

	public void setID_BV(String iD_BV) {
		ID_BV = iD_BV;
	}

	public String getTIPO_AMORTIZACION() {
		return TIPO_AMORTIZACION;
	}

	public void setTIPO_AMORTIZACION(String tIPO_AMORTIZACION) {
		TIPO_AMORTIZACION = tIPO_AMORTIZACION;
	}
	
	public String getFECHA_AUTORIZACION() {
		return FECHA_AUTORIZACION;
	}

	public void setFECHA_AUTORIZACION(String fECHA_AUTORIZACION) {
		FECHA_AUTORIZACION = fECHA_AUTORIZACION;
	}

	public String getID_CONTRATO_PADRE() {
		return ID_CONTRATO_PADRE;
	}

	public void setID_CONTRATO_PADRE(String iD_CONTRATO_PADRE) {
		ID_CONTRATO_PADRE = iD_CONTRATO_PADRE;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_CONTRATO: _" + this.getID_CONTRATO() + "_" + NEW_LINE);
		result.append(" ID_ESTUDIO: _" + this.getID_ESTUDIO() + "_" + NEW_LINE);
		result.append(" ID_ESTATUS: _" + this.getID_ESTATUS() + "_" + NEW_LINE);
		result.append(" ID_TIPO_MOVIMIENTO: _" + this.getID_TIPO_MOVIMIENTO() + "_" + NEW_LINE);
		result.append(" ID_TIPO_CONTRATO: _" + this.getID_TIPO_CONTRATO() + "_" + NEW_LINE);
		result.append(" ID_APARTADO: _" + this.getID_APARTADO() + "_" + NEW_LINE);
		result.append(" NUMERO_CONTRATO: _" + this.getNUMERO_CONTRATO() + "_" + NEW_LINE);
		result.append(" FECHA_INICIO: _" + this.getFECHA_INICIO() + "_" + NEW_LINE);
		result.append(" FECHA_FIN: _" + this.getFECHA_FIN() + "_" + NEW_LINE);
		result.append(" ID_CONTRATO_ORIGINAL: _" + this.getID_CONTRATO_ORIGINAL() + "_" + NEW_LINE);
		result.append(" FECHA_ALTA: _" + this.getFECHA_ALTA() + "_" + NEW_LINE);
		result.append(" ID_SAP: _" + this.getID_SAP() + "_" + NEW_LINE);
		result.append(" AMORTIZABLE: _" + this.getAMORTIZABLE() + "_" + NEW_LINE);
		result.append(" FECHA_WS: _" + this.getFECHA_WS() + "_" + NEW_LINE);
		result.append(" FECHA_MODIFSAP: _" + this.getFECHA_MODIFSAP() + "_" + NEW_LINE);
		result.append(" ANNIOS: _" + this.getANNIOS() + "_" + NEW_LINE);
		result.append(" MESES: _" + this.getMESES() + "_" + NEW_LINE);
		result.append(" INFLACION: _" + this.getINFLACION() + "_" + NEW_LINE);
		result.append(" LIMITES_LICENCIA: _" + this.getLIMITES_LICENCIA() + "_" + NEW_LINE);
		result.append(" ID_BV: _" + this.getID_BV() + "_" + NEW_LINE);
		result.append(" TIPO_AMORTIZACION: _" + this.getTIPO_AMORTIZACION() + "_" + NEW_LINE);
		result.append(" FECHA_AUTORIZACION: _" + this.getFECHA_AUTORIZACION() + "_" + NEW_LINE);
		result.append(" ID_CONTRATO_PADRE: _" + this.getID_CONTRATO_PADRE() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}


}
